• GoDaddy Community
  • VPS & Dedicated Servers
  • VPS & Dedicated Servers

    cancel
    Showing results for 
    Show  only  | Search instead for 
    Did you mean: 

    Composer Install

    I am trying to run composer require twilio/sdk and I get an error 

    [Composer\Downloader\TransportException]

      The "https://repo.packagist.org/packages.json" file could not be downloaded: allow_url_fopen must be enabled in php.ini (https:// wrapper is disabled in the server configuration by allow_url_fopen=0n

      failed to open stream: no suitable wrapper could be found)

     

    I ran composer diagnose and it confirmed that allow_url_fopen=0ff and recommends turning it on. 

     

    I have tried to use the multiphp ini editor in Cpanel to update the local copy of php.ini but it does not seem to recognize this ini file or option=value. 

     

    Then I read that this is normally off for security purposes - "This directive can allow attackers to open remote files from your server. They do this via file inclusion vulnerabilities."

     

    My question is

    Is the best way to address this issue to turn on allow_url_fopen=On, or is there a better way?
    If so, do I need to update something so that PHP uses the local PHP.INI values?

    0 REPLIES 0